<form [formGroup]="form" (ngSubmit)="onSubmit()">
    <label for="id" class="label">Email</label>
    <input
        formControlName="email"
        [ngClass]="{ 'input-error': email.invalid && email.touched }"
        type="email"
        class="input input-bordered"
        name="id"
    />
    <span *ngIf="email.errors?.['email'] && email.touched" class="text-red-600">
        Email invalide
    </span>
    <span
        *ngIf="email.errors?.['required'] && email.touched"
        class="text-red-600"
    >
        Email obligatoire
    </span>

    <label for="pwd" class="label">Mot de passe</label>
    <input
        formControlName="password"
        [ngClass]="{ 'input-error': password.invalid && password.touched }"
        type="password"
        class="input input-bordered"
        name="pwd"
    />
    <span
        *ngIf="password.errors?.['required'] && password.touched"
        class="text-red-600"
    >
        Mot de passe obligatoire
    </span>

    <label for="confirmPwd" class="label">Confirmation du mot de passe</label>
    <input
        formControlName="confirmPassword"
        [ngClass]="{ 'input-error': password.invalid && password.touched }"
        type="password"
        class="input input-bordered"
        name="confirmPwd"
    />

    <span
        *ngIf="confirmPassword.errors?.['required'] && confirmPassword.touched"
        class="text-red-600"
    >
        Confirmation du mot de passe obligatoire
    </span>

    <span
        *ngIf="form.errors?.['samePassword'] && (confirmPassword.touched && password.touched)"
        class="text-red-600"
    >
        Les mots de passe doivent être identique.
    </span>

    <button
        type="submit"
        [disabled]="email.invalid && password.invalid"
        class="btn btn-primary mt-4"
    >
        S'incrire
    </button>
</form>

<pre>
    {{ form.value | json }}
</pre>
